<template>

  <div id="app">
 <input class="font1 cg-product-font-custom-preview-box second add-btm-xsml" v-model="message">

<div class="cg-font-preview-img-wrap" v-for="font in fonts_"  v-bind:style="{ @font-face {: 'url(' + image + ')' }">
 <h4 class="cg-product-font-preview-content-thin light-grey w600 f13">{{ font.name }}</h4>
  <div :id="'font'+font.id" class="fontsz">{{ message }}</div>
</div>



  </div>
</template>

<style lang="scss" scoped>
  @font-face {
  font-family: Qiko;
      src: url(http://127.0.0.1:8000/images/Qiko.ttf);
  }
</style>

<style lang="scss" scoped>
.fontsz{
  font-size: 24px;
}
</style>


<script>


export default {
    name: 'app',
  data () {
    return {
        fonts_: [],
      items: [
          { message: 'Foo' },
          { message: 'Bar' }
        ],
      message: 'Two driven jocks help fax my big quiz.'
    }
  },
  methods: {
      fetchFonts(product_id) {
          axios.get('/fetch_fonts?product_id=' + product_id)
              .then(response => {
                  this.fonts_ = response.data.data;
                  console.log(this.fonts_);
              })
              .catch(error => {
                  console.log(error.response.data);
              });
      },
        loadFont() {
            $.each(this.fonts_, function(key, value) {
                document.getElementById('font'+key.id).style.fontFamily = key.name;
            });

            document.getElementById("font6").style.fontFamily = "Qiko";
          },

  },
  beforeCreate() {
    // alert('before hook has been called');

  },
    mounted() {
      // this.updateDataURL('font');
        var segment_str = window.location.pathname;
        var segment_array = segment_str.split( '/' );
        var product_id = segment_array.pop();
       this.fetchFonts(product_id);
       this.loadFont();
    },
    updated() {
       // alert('updated hook has been called');
    }
}
</script>


